## ftpwatch 1.1

=== Makefile ===
install: 
	install -d $(DESTDIR)/usr/sbin
	-cp ftpwatch.pl -d $(DESTDIR)/usr/sbin/ftpwatch

=== debian/changelog ===
ftpwatch (1.1) unstable; urgency=low

  * Added man file

 -- Hakan Ardo <hakan@debian.org>  Tue, 7 Jan 1997 21:44:35 +0100

ftpwatch (1.0) unstable; urgency=low

  * Initial Release.

 -- Hakan Ardo <hakan@debian.org>  Tue, 7 Jan 1997 16:23:34 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ftpwatch
Section: net
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 2.1.2.2

Package: ftpwatch
Architecture: all
Depends: perl, ncftp
Description: Notifies you of changes on remote ftp servers
 This package installs itself as a cron job which every week makes a ftp
 connection to a list of sites and studies a set of files or directories
 and report any changes it finds by email.
 .
 Every user can have his own set of sites and directories to watch.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=ftpwatch

build:
	$(checkdir)
	if [ -x configure ]; then ./configure --prefix=/usr; fi
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
	else \
		make install DESTDIR=`pwd`/debian/tmp; \
	fi
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README.debian
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## ftpwatch 1.5

=== Makefile ===
all:
	echo All don!

install: 
	install -d $(DESTDIR)/usr/sbin
	-cp ftpwatch.pl -d $(DESTDIR)/usr/sbin/ftpwatch

=== debian/changelog ===
ftpwatch (1.5) frozen unstable; urgency=high

  * Every user now has to place it in there crontabs (Fixes Bug#31627)
  * Only makes the checks for the user running it
  * Moved tmp files to user dir

 -- Hakan Ardo <hakan@debian.org>  Tue, 19 Jan 1999 21:29:43 +0100

ftpwatch (1.4) unstable; urgency=low

  * Changelog now gziped
  * Moved back to main (Bug #25564)
  * No longer tries to create /usr/sbin (Bug #25787)
  * Paul J. Thompson <thomppj@thomppj.student.okstate.edu> has added support to watch sundirectoriees recoursly

 -- Hakan Ardo <hakan@debian.org>  Tue,  2 Sep 1997 15:31:36 +0200

ftpwatch (1.3) unstable; urgency=low

  * Moved tmp file from /tmp to /var/run to fill a security hole (Bug #12291)

 -- Hakan Ardo <hakan@debian.org>  Tue, 26 Aug 1997 14:34:25 +0200

ftpwatch (1.2) unstable; urgency=low

  * moved to contrib (Fixes Bug #9261)

 -- Hakan Ardo <hakan@debian.org>  Thu, 1 May 1997 17:07:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ftpwatch
-Section: net
+Section: main
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Standards-Version: 2.1.2.2

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	debstd README.debian
 	dpkg-gencontrol
+	
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## ftpwatch 1.8

=== debian/changelog ===
ftpwatch (1.8) unstable; urgency=low

  * Fixed two spelling errors (Bug #42083)

 -- Hakan Ardo <hakan@debian.org>  Mon, 20 Sep 1999 10:45:30 +0200

ftpwatch (1.7) unstable; urgency=low

  * Now uses dh_perl to get the right dependencies

 -- Hakan Ardo <hakan@debian.org>  Thu,  1 Jul 1999 23:15:42 +0200

ftpwatch (1.6) unstable; urgency=low

  * Now depends on ncftp|ncftp2 instead of just ncftp (Bug #35159)

 -- Hakan Ardo <hakan@debian.org>  Thu, 10 Jun 1999 11:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: ftpwatch
 Architecture: all
-Depends: perl, ncftp
+Depends: ${perl:Depends}, ncftp|ncftp2
 Description: Notifies you of changes on remote ftp servers
  This package installs itself as a cron job which every week makes a ftp
  connection to a list of sites and studies a set of files or directories

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	fi
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
+	dh_perl
 	debstd README.debian
 	dpkg-gencontrol

## ftpwatch 1.17

=== debian/changelog ===
ftpwatch (1.17) unstable; urgency=low

  * Added russian debconf template (closes: #137650)

 -- Hakan Ardo <hakan@debian.org>  Mon, 11 Mar 2002 15:37:46 +0100

ftpwatch (1.16) unstable; urgency=low

  * Added Brazilian portuguese (pt_BR) debconf template translation (Bug
    #120836)

 -- Hakan Ardo <hakan@debian.org>  Sat, 12 Jan 2002 15:07:31 +0100

ftpwatch (1.15) unstable; urgency=low

  * Added spanish, german template file (Bug #103208, #101887)

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Jul 2001 22:14:32 +0200

ftpwatch (1.14) unstable; urgency=low

  * Upgraded to policy v 3.2.1.0
  * Fixed paragraph separateing in info template (Bug #85752)

 -- Hakan Ardo <hakan@hobbe.lub.lu.se>  Sat,  7 Jul 2001 22:13:32 +0200

ftpwatch (1.13) unstable; urgency=low

  * Added some error checking
  * Added the posibility to watch single files

 -- Hakan Ardo <hakan@debian.org>  Thu, 16 Nov 2000 10:39:08 +0100

ftpwatch (1.12) unstable; urgency=low

  * Now uses Net::FTP instead of ncftp
  * Updated docs to say that every user has to install a crontab entry

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 13:48:09 +0100

ftpwatch (1.11) unstable; urgency=low

  * Now uses getpwent to get userinfo as sugested by Pierre
    <jaccard@gfi.uib.no>

 -- Hakan Ardo <hakan@debian.org>  Sat,  4 Mar 2000 12:20:50 +0100

ftpwatch (1.10) unstable; urgency=low

  * Now uses debconf
  * Docs and man pages moved to /usr/share
  * /usr/doc/... links created and removed

 -- Hakan Ardo <hakan@debian.org>  Mon, 17 Jan 2000 10:52:59 +0100

ftpwatch (1.9) unstable; urgency=low

  * Fixed postinst bug

 -- Hakan Ardo <hakan@debian.org>  Mon, 17 Jan 2000 10:32:38 +0100

=== debian/control ===
Source: ftpwatch
Section: main
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.2.1.0

Package: ftpwatch
Section: net
Architecture: all
Depends: ${perl:Depends}, debconf, libnet-perl
Description: Notifies you of changes on remote ftp servers
 This package should be installed as a cron job (for interested users)
 which every week makes a ftp connection to a list of sites and studies 
 a set of files or directories and report any changes it finds by email.
 .
 Every user can have his own set of sites and directories to watch.

## ftpwatch 1.17.1

=== debian/changelog ===
ftpwatch (1.17.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends-Indep on debhelper, debmake.  Closes: #189715.
  * Remove /usr/doc/ftpwatch symlink.
  * Remove several cruft files from the source package.

 -- Daniel Schepler <schepler@debian.org>  Thu, 31 Jul 2003 21:12:40 -0700

=== debian/rules ===
--- 
+++ 
@@ -36,16 +36,25 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp
 	cd debian/tmp;install -d `cat ../dirs`
+
 	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
 	else \
 		make install DESTDIR=`pwd`/debian/tmp; \
 	fi
+
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	dh_perl
 	debstd README.debian
-	dpkg-gencontrol
-	
+
+	cp debian/config debian/templates debian/tmp/DEBIAN
+#	mkdir debian/tmp/usr/share
+#	mv debian/tmp/usr/doc debian/tmp/usr/share/doc
+#	mv debian/tmp/usr/man debian/tmp/usr/share/man
+
+	dh_md5sums
+	dh_gencontrol
+
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## ftpwatch 1.18

=== debian/changelog ===
ftpwatch (1.18) unstable; urgency=low

  * Incoporated MNU (closes: #189715)
  * Removed reference to non excistent README.debian (closes: #292839)
  * Removed ancient (pre-stable) backwards compatibility warning

 -- Hakan Ardo <hakan@debian.org>  Thu, 24 Feb 2005 11:42:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: main
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
+Build-Depends-Indep: debhelper, debmake
 Standards-Version: 3.2.1.0
 
 Package: ftpwatch

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	dh_perl
-	debstd README.debian
+	debstd
 
 	cp debian/config debian/templates debian/tmp/DEBIAN
 #	mkdir debian/tmp/usr/share

## ftpwatch 1.19

=== debian/changelog ===
ftpwatch (1.19) unstable; urgency=low

  * Removed debconf dependency (close: #331827)

 -- Hakan Ardo <hakan@debian.org>  Tue, 27 Dec 2005 17:09:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: ftpwatch
 Section: net
 Architecture: all
-Depends: ${perl:Depends}, debconf, libnet-perl
+Depends: ${perl:Depends}, libnet-perl
 Description: Notifies you of changes on remote ftp servers
  This package should be installed as a cron job (for interested users)
  which every week makes a ftp connection to a list of sites and studies

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	dh_perl
 	debstd
 
-	cp debian/config debian/templates debian/tmp/DEBIAN
+#	cp debian/config debian/templates debian/tmp/DEBIAN
 #	mkdir debian/tmp/usr/share
 #	mv debian/tmp/usr/doc debian/tmp/usr/share/doc
 #	mv debian/tmp/usr/man debian/tmp/usr/share/man

## ftpwatch 1.20

=== debian/changelog ===
ftpwatch (1.20) unstable; urgency=low

  * Applied patch from Pawel Tecza <ptecza@uw.edu.pl> adding a -d<opt>
    option which passes <opt> as options to diff
  * Moved from debmake to debhelper (closes: #373002)
  * Added -p option to run ftp in passive mode

 -- Hakan Ardo <hakan@debian.org>  Wed, 25 Oct 2006 08:35:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,27 +37,34 @@
 	install -d debian/tmp
 	cd debian/tmp;install -d `cat ../dirs`
 
-	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
+	if [ -x configure ]; then make install prefix=`pwd`/debian/ftpwatch/usr ;\
 	else \
-		make install DESTDIR=`pwd`/debian/tmp; \
+		make install DESTDIR=`pwd`/debian/ftpwatch; \
 	fi
 
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	dh_perl
-	debstd
+#	debstd
 
 #	cp debian/config debian/templates debian/tmp/DEBIAN
 #	mkdir debian/tmp/usr/share
 #	mv debian/tmp/usr/doc debian/tmp/usr/share/doc
 #	mv debian/tmp/usr/man debian/tmp/usr/share/man
+	dh_installchangelogs
+	dh_installdocs
+	dh_installman ftpwatch.8
+	dh_compress
+	dh_fixperms
+	dh_installdeb
 
 	dh_md5sums
 	dh_gencontrol
+	dh_builddeb
 
-	chown -R root.root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+#	chown -R root.root debian/tmp
+#	chmod -R go=rX debian/tmp
+#	dpkg --build debian/tmp ..
 
 define checkdir
 	test -f debian/rules

## ftpwatch 1.21

=== debian/changelog ===
ftpwatch (1.21) unstable; urgency=low

  * Binary moved to /usr/bin (closes: #608940)

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Jul 2011 19:42:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	-rm -f build
 	-make clean
 	-rm `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	-rm -rf debian/tmp debian/files* core debian/substvars 
+	-rm -rf debian/$(package)
 
 binary-indep:	checkroot build
 	$(checkdir)

## ftpwatch 1.21%2Bnmu1

=== debian/changelog ===
ftpwatch (1.21+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "find -perm /x" instead of "find -perm +x". Closes: #808938

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 15:14:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: main
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
-Build-Depends-Indep: debhelper, debmake
+Build-Depends: debhelper
 Standards-Version: 3.2.1.0
 
 Package: ftpwatch

## ftpwatch 1.23

=== debian/changelog ===
ftpwatch (1.23) unstable; urgency=medium

  * Fix binary-indep to make dpkg-buildpackage -A work (closes: #831948)

 -- Hakan Ardo <hakan@debian.org>  Tue, 02 Aug 2016 07:32:46 +0200

ftpwatch (1.22) unstable; urgency=medium

  * Ported to debhelper 9 (closes: #817464)

 -- Hakan Ardo <hakan@debian.org>  Thu, 14 Jul 2016 09:11:44 +0200

## ftpwatch 1.23+nmu1

=== debian/changelog ===
ftpwatch (1.23+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix source package section.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2017 08:19:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,12 +27,6 @@
 	-rm -rf debian/$(package)
 
 binary-indep:	checkroot build
-	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
-binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp
@@ -67,6 +61,8 @@
 #	chmod -R go=rX debian/tmp
 #	dpkg --build debian/tmp ..
 
+binary-arch: binary-indep
+
 define checkdir
 	test -f debian/rules
 endef

## ftpwatch 1.24

=== debian/changelog ===
ftpwatch (1.24) unstable; urgency=medium

  * Add build-arch and build-indep targets (closes: #998915)

 -- Hakan Ardo <hakan@debian.org>  Fri, 07 Jan 2022 13:27:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ftpwatch
-Section: main
+Section: net
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
 Build-Depends: debhelper
 Standards-Version: 3.2.1.0
 
 Package: ftpwatch
-Section: net
 Architecture: all
 Depends: ${perl:Depends}, libnet-perl
 Description: Notifies you of changes on remote ftp servers

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 package=ftpwatch
 
+build-arch:    build
+build-indep:   build
 build:
 	$(checkdir)
 	if [ -x configure ]; then ./configure --prefix=/usr; fi

## ftpwatch 1.24+nmu1

=== debian/changelog ===
ftpwatch (1.24+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007640)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Jun 2024 20:56:23 +0000

## ftpwatch 1.24+nmu2

=== Makefile ===
all:
	echo All don!

install: 
	install -d $(DESTDIR)/usr/bin
	-cp ftpwatch.pl -d $(DESTDIR)/usr/bin/ftpwatch

=== debian/changelog ===
ftpwatch (1.24+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use modern debhelper (Closes: #1089331)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 14:08:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: extra
 Maintainer: Hakan Ardo <hakan@debian.org>
-Build-Depends: debhelper
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 3.2.1.0
+Rules-Requires-Root: no
 
 Package: ftpwatch
 Architecture: all
-Depends: ${perl:Depends}, libnet-perl
+Depends: ${misc:Depends}, ${perl:Depends}, libnet-perl
 Description: Notifies you of changes on remote ftp servers
  This package should be installed as a cron job (for interested users)
  which every week makes a ftp connection to a list of sites and studies

## ftpwatch 1.24+nmu2build1

=== debian/changelog ===
ftpwatch (1.24+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 20:20:59 +0000
